summaryrefslogtreecommitdiff
path: root/doxygen/builder/rtems-doxygen-publish-cron
diff options
context:
space:
mode:
Diffstat (limited to 'doxygen/builder/rtems-doxygen-publish-cron')
-rwxr-xr-xdoxygen/builder/rtems-doxygen-publish-cron24
1 files changed, 24 insertions, 0 deletions
diff --git a/doxygen/builder/rtems-doxygen-publish-cron b/doxygen/builder/rtems-doxygen-publish-cron
new file mode 100755
index 0000000..a3d4251
--- /dev/null
+++ b/doxygen/builder/rtems-doxygen-publish-cron
@@ -0,0 +1,24 @@
+#! /bin/sh
+#
+# RTEMS Documentation Project
+#
+# Copyright 2017 Chris Johns <chrisj@rtems.org>
+# All rights reserved
+#
+# Public domain
+#
+
+#
+# Exit on error.
+#
+set -e
+
+#
+# We run where the script is located.
+#
+cd $(dirname $0)
+
+./rtems-doxygen-download
+./rtems-doxygen-publish
+
+exit 0